Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_TypeCodeFactory_Adapter Class Reference

TAO_TypeCodeFactory_Adapter. More...

`#include <TypeCodeFactory_Adapter.h>`

Inheritance diagram for TAO_TypeCodeFactory_Adapter:

[legend]
Collaboration diagram for TAO_TypeCodeFactory_Adapter:

[legend]
List of all members.

## Public Member Functions
virtual | ~TAO_TypeCodeFactory_Adapter (void)
virtual CORBA::TypeCode_ptr | create_struct_tc (const char *id, const char *name, const CORBA::StructMemberSeq &members)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_union_tc (const char *id, const char *name, CORBA::TypeCode_ptr discriminator_type, const CORBA::UnionMemberSeq &members)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_enum_tc (const char *id, const char *name, const CORBA::EnumMemberSeq &members)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_alias_tc (const char *id, const char *name, CORBA::TypeCode_ptr original_type)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_exception_tc (const char *id, const char *name, const CORBA::StructMemberSeq &members)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_interface_tc (const char *id, const char *name)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_string_tc (CORBA::ULong bound)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_wstring_tc (CORBA::ULong bound)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_fixed_tc (CORBA::UShort digits, CORBA::UShort scale)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_sequence_tc (CORBA::ULong bound, CORBA::TypeCode_ptr element_type)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_array_tc (CORBA::ULong length, CORBA::TypeCode_ptr element_type)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_value_tc (const char *id, const char *name, CORBA::ValueModifier type_modifier, CORBA::TypeCode_ptr concrete_base, const CORBA::ValueMemberSeq &members)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_value_box_tc (const char *id, const char *name, CORBA::TypeCode_ptr boxed_type)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_native_tc (const char *id, const char *name)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_recursive_tc (const char *id)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_abstract_interface_tc (const char *id, const char *name)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_local_interface_tc (const char *id, const char *name)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_component_tc (const char *id, const char *name)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_home_tc (const char *id, const char *name)=0 throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_event_tc (const char *id, const char *name, CORBA::ValueModifier type_modifier, CORBA::TypeCode_ptr concrete_base, const CORBA::ValueMemberSeq &members)=0 throw (CORBA::SystemException)
TAO-specific TypeCode factory methods.
Factory methods that has no corresponding TypeCodeFactory IDL, i.e. they are specific to TAO.
virtual CORBA::TypeCode_ptr | create_enum_tc (char const *id, char const *name, ACE_Array_Base< CORBA::String_var > const &enumerators, CORBA::ULong ncases)=0
| Create an enumeration TypeCode.
virtual CORBA::TypeCode_ptr | create_struct_except_tc (CORBA::TCKind, char const *id, char const *name, ACE_Array_Base< TAO::TypeCode::Struct_Field< CORBA::String_var, CORBA::TypeCode_var > > const &fields, CORBA::ULong nfields)=0
| Create a structure or exception TypeCode.
virtual CORBA::TypeCode_ptr | create_union_tc (char const *id, char const *name, CORBA::TypeCode_ptr discriminant_type, ACE_Array_Base< TAO::TypeCode::Case< CORBA::String_var, CORBA::TypeCode_var > > const &cases, CORBA::ULong ncases, CORBA::Long default_index, char const *default_case_name, CORBA::TypeCode_ptr default_case_type)=0
| Create a union TypeCode.
virtual CORBA::TypeCode_ptr | create_value_event_tc (CORBA::TCKind, char const *id, char const *name, CORBA::ValueModifier modifier, CORBA::TypeCode_ptr concrete_base, ACE_Array_Base< TAO::TypeCode::Value_Field< CORBA::String_var, CORBA::TypeCode_var > > const &fields, CORBA::ULong nfields)=0
| Create a valuetype or eventtype TypeCode.

## Detailed Description

TAO_TypeCodeFactory_Adapter.

Class that adapts the CORBA::ORB create_*_tc functions to use the TypeCodeFactory. This is a base class for the actual implementation in the TypeCodeFactory_DLL library.

## Constructor & Destructor Documentation

TAO_TypeCodeFactory_Adapter::~TAO_TypeCodeFactory_Adapter | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_abstract_interface_tc | ( | const char * | id,
|  | const char * | name
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_alias_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::TypeCode_ptr | original_type
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_array_tc | ( | CORBA::ULong | length,
|  | CORBA::TypeCode_ptr | element_type
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_component_tc | ( | const char * | id,
|  | const char * | name
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_enum_tc | ( | char const * | id,
|  | char const * | name,
|  | ACE_Array_Base< CORBA::String_var > const & | enumerators,
|  | CORBA::ULong | ncases
| ) | `[pure virtual]`

| Create an enumeration TypeCode.

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_enum_tc | ( | const char * | id,
|  | const char * | name,
|  | const CORBA::EnumMemberSeq & | members
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_event_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::ValueModifier | type_modifier,
|  | CORBA::TypeCode_ptr | concrete_base,
|  | const CORBA::ValueMemberSeq & | members
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_exception_tc | ( | const char * | id,
|  | const char * | name,
|  | const CORBA::StructMemberSeq & | members
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_fixed_tc | ( | CORBA::UShort | digits,
|  | CORBA::UShort | scale
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_home_tc | ( | const char * | id,
|  | const char * | name
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_interface_tc | ( | const char * | id,
|  | const char * | name
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_local_interface_tc | ( | const char * | id,
|  | const char * | name
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_native_tc | ( | const char * | id,
|  | const char * | name
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_recursive_tc | ( | const char * | id | ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_sequence_tc | ( | CORBA::ULong | bound,
|  | CORBA::TypeCode_ptr | element_type
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_string_tc | ( | CORBA::ULong | bound | ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_struct_except_tc | ( | CORBA::TCKind | ,
|  | char const * | id,
|  | char const * | name,
|  | ACE_Array_Base< TAO::TypeCode::Struct_Field< CORBA::String_var, CORBA::TypeCode_var > > const & | fields,
|  | CORBA::ULong | nfields
| ) | `[pure virtual]`

| Create a structure or exception TypeCode.

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_struct_tc | ( | const char * | id,
|  | const char * | name,
|  | const CORBA::StructMemberSeq & | members
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_union_tc | ( | char const * | id,
|  | char const * | name,
|  | CORBA::TypeCode_ptr | discriminant_type,
|  | ACE_Array_Base< TAO::TypeCode::Case< CORBA::String_var, CORBA::TypeCode_var > > const & | cases,
|  | CORBA::ULong | ncases,
|  | CORBA::Long | default_index,
|  | char const * | default_case_name,
|  | CORBA::TypeCode_ptr | default_case_type
| ) | `[pure virtual]`

| Create a union TypeCode.

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_union_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::TypeCode_ptr | discriminator_type,
|  | const CORBA::UnionMemberSeq & | members
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_value_box_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::TypeCode_ptr | boxed_type
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_value_event_tc | ( | CORBA::TCKind | ,
|  | char const * | id,
|  | char const * | name,
|  | CORBA::ValueModifier | modifier,
|  | CORBA::TypeCode_ptr | concrete_base,
|  | ACE_Array_Base< TAO::TypeCode::Value_Field< CORBA::String_var, CORBA::TypeCode_var > > const & | fields,
|  | CORBA::ULong | nfields
| ) | `[pure virtual]`

| Create a valuetype or eventtype TypeCode.

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_value_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::ValueModifier | type_modifier,
|  | CORBA::TypeCode_ptr | concrete_base,
|  | const CORBA::ValueMemberSeq & | members
| ) | throw (CORBA::SystemException)`[pure virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_wstring_tc | ( | CORBA::ULong | bound | ) | throw (CORBA::SystemException)`[pure virtual]`

The documentation for this class was generated from the following files:

- TypeCodeFactory_Adapter.h
- TypeCodeFactory_Adapter.cpp